db4o |

# ExtObjectContainer.GetByID Method

returns the stored object for an internal ID.

object GetByID(
long ID
);

#### Parameters

ID
  the internal ID

#### Return Value

the object associated with the passed ID or

    null

, if no object is associated with this ID in this

    ObjectContainer

.

#### Remarks

returns the stored object for an internal ID.
This is the fastest method for direct access to objects. Internal IDs can be obtained with getID(Object) . Objects will not be activated by this method. They will be returned in the activation state they are currently in, in the local cache.

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace | Why activation?